"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
function useBehaviorSubject(subject) {
    const [value, setValue] = react_1.useState(subject.getValue());
    const updateValue = (v) => {
        subject.next(v);
    };
    react_1.useEffect(() => {
        const subscription = subject.subscribe(v => {
            setValue(v);
        });
        return () => subscription.unsubscribe();
    }, []);
    return [value, updateValue];
}
exports.default = useBehaviorSubject;
